Loading...
Searching...
No Matches
ojph::param_cod Class Reference

`#include <ojph_params.h>`

## Public Member Functions

| param_cod (local::param_cod *p)
void | set_num_decomposition (ui32 num_decompositions)
void | set_block_dims (ui32 width, ui32 height)
void | set_precinct_size (int num_levels, size *precinct_size)
void | set_progression_order (const char *name)
void | set_color_transform (bool color_transform)
void | set_reversible (bool reversible)
param_coc | get_coc (ui32 component_idx)
ui32 | get_num_decompositions () const
size | get_block_dims () const
size | get_log_block_dims () const
bool | is_reversible () const
size | get_precinct_size (ui32 level_num) const
size | get_log_precinct_size (ui32 level_num) const
int | get_progression_order () const
const char * | get_progression_order_as_string () const
int | get_num_layers () const
bool | is_using_color_transform () const
bool | packets_may_use_sop () const
bool | packets_use_eph () const
bool | get_block_vertical_causality () const

## Private Attributes

local::param_cod * | state

## Detailed Description

Definition at line 103 of file ojph_params.h.

## Constructor & Destructor Documentation

## param_cod()

ojph::param_cod::param_cod | ( | local::param_cod * | p | ) |

inline

Definition at line 106 of file ojph_params.h.

References state.

## Member Function Documentation

## get_block_dims()

size ojph::param_cod::get_block_dims | ( |  | ) | const

Definition at line 269 of file ojph_params.cpp.

References state.

Referenced by ojph::param_coc::get_block_dims().

## get_block_vertical_causality()

bool ojph::param_cod::get_block_vertical_causality | ( |  | ) | const

Definition at line 347 of file ojph_params.cpp.

References state.

Referenced by ojph::param_coc::get_block_vertical_causality().

## get_coc()

param_coc ojph::param_cod::get_coc | ( | ui32 | component_idx | ) |

Definition at line 254 of file ojph_params.cpp.

References state.

## get_log_block_dims()

size ojph::param_cod::get_log_block_dims | ( |  | ) | const

Definition at line 275 of file ojph_params.cpp.

References state.

Referenced by ojph::local::codestream::check_broadcast_validity(), ojph::local::codestream::check_imf_validity(), and ojph::param_coc::get_log_block_dims().

## get_log_precinct_size()

size ojph::param_cod::get_log_precinct_size | ( | ui32 | level_num | ) | const

Definition at line 293 of file ojph_params.cpp.

References state.

Referenced by ojph::local::codestream::check_broadcast_validity(), ojph::local::codestream::check_imf_validity(), and ojph::param_coc::get_log_precinct_size().

## get_num_decompositions()

ui32 ojph::param_cod::get_num_decompositions | ( |  | ) | const

Definition at line 263 of file ojph_params.cpp.

References state.

Referenced by ojph::local::codestream::check_broadcast_validity(), ojph::local::codestream::check_imf_validity(), ojph::param_coc::get_num_decompositions(), and LLVMFuzzerTestOneInput().

## get_num_layers()

int ojph::param_cod::get_num_layers | ( |  | ) | const

Definition at line 323 of file ojph_params.cpp.

References state.

Referenced by ojph::local::codestream::read_headers().

## get_precinct_size()

size ojph::param_cod::get_precinct_size | ( | ui32 | level_num | ) | const

Definition at line 287 of file ojph_params.cpp.

References state.

Referenced by ojph::param_coc::get_precinct_size(), and LLVMFuzzerTestOneInput().

## get_progression_order()

int ojph::param_cod::get_progression_order | ( |  | ) | const

Definition at line 299 of file ojph_params.cpp.

References state.

Referenced by ojph::local::codestream::check_broadcast_validity(), ojph::local::codestream::check_imf_validity(), ojph::local::tile::finalize_alloc(), and ojph::local::codestream::write_headers().

## get_progression_order_as_string()

const char * ojph::param_cod::get_progression_order_as_string | ( |  | ) | const

Definition at line 305 of file ojph_params.cpp.

References ojph::OJPH_PO_CPRL, ojph::OJPH_PO_LRCP, ojph::OJPH_PO_PCRL, ojph::OJPH_PO_RLCP, ojph::OJPH_PO_RPCL, ojph::OJPH_PO_STRING_CPRL, ojph::OJPH_PO_STRING_LRCP, ojph::OJPH_PO_STRING_PCRL, ojph::OJPH_PO_STRING_RLCP, ojph::OJPH_PO_STRING_RPCL, and state.

## is_reversible()

bool ojph::param_cod::is_reversible | ( |  | ) | const

Definition at line 281 of file ojph_params.cpp.

References state.

Referenced by ojph::local::codestream::check_imf_validity(), and ojph::param_coc::is_reversible().

## is_using_color_transform()

bool ojph::param_cod::is_using_color_transform | ( |  | ) | const

Definition at line 329 of file ojph_params.cpp.

References state.

Referenced by main().

## packets_may_use_sop()

bool ojph::param_cod::packets_may_use_sop | ( |  | ) | const

Definition at line 335 of file ojph_params.cpp.

References state.

## packets_use_eph()

bool ojph::param_cod::packets_use_eph | ( |  | ) | const

Definition at line 341 of file ojph_params.cpp.

References state.

## set_block_dims()

void ojph::param_cod::set_block_dims | ( | ui32 | width,
|  | ui32 | height )

Definition at line 173 of file ojph_params.cpp.

References ojph::count_leading_zeros(), OJPH_ERROR, and state.

Referenced by main(), and ojph::param_coc::set_block_dims().

## set_color_transform()

void ojph::param_cod::set_color_transform | ( | bool | color_transform | ) |

Definition at line 242 of file ojph_params.cpp.

References state.

Referenced by LLVMFuzzerTestOneInput(), and main().

## set_num_decomposition()

void ojph::param_cod::set_num_decomposition | ( | ui32 | num_decompositions | ) |

Definition at line 164 of file ojph_params.cpp.

References OJPH_ERROR, and state.

Referenced by LLVMFuzzerTestOneInput(), main(), and ojph::param_coc::set_num_decomposition().

## set_precinct_size()

void ojph::param_cod::set_precinct_size | ( | int | num_levels,
|  | size * | precinct_size )

Definition at line 187 of file ojph_params.cpp.

References ojph::count_leading_zeros(), ojph::size::h, OJPH_ERROR, state, and ojph::size::w.

Referenced by main(), and ojph::param_coc::set_precinct_size().

## set_progression_order()

void ojph::param_cod::set_progression_order | ( | const char * | name | ) |

Definition at line 215 of file ojph_params.cpp.

References OJPH_ERROR, ojph::OJPH_PO_CPRL, ojph::OJPH_PO_LRCP, ojph::OJPH_PO_PCRL, ojph::OJPH_PO_RLCP, ojph::OJPH_PO_RPCL, ojph::OJPH_PO_STRING_CPRL, ojph::OJPH_PO_STRING_LRCP, ojph::OJPH_PO_STRING_PCRL, ojph::OJPH_PO_STRING_RLCP, ojph::OJPH_PO_STRING_RPCL, and state.

Referenced by main().

## set_reversible()

void ojph::param_cod::set_reversible | ( | bool | reversible | ) |

Definition at line 248 of file ojph_params.cpp.

References state.

Referenced by LLVMFuzzerTestOneInput(), main(), and ojph::param_coc::set_reversible().

## Member Data Documentation

## state

local::param_cod* ojph::param_cod::state

private

Definition at line 131 of file ojph_params.h.

Referenced by get_block_dims(), get_block_vertical_causality(), get_coc(), get_log_block_dims(), get_log_precinct_size(), get_num_decompositions(), get_num_layers(), get_precinct_size(), get_progression_order(), get_progression_order_as_string(), is_reversible(), is_using_color_transform(), packets_may_use_sop(), packets_use_eph(), param_cod(), set_block_dims(), set_color_transform(), set_num_decomposition(), set_precinct_size(), set_progression_order(), and set_reversible().

The documentation for this class was generated from the following files:

- /build/openjph-z1hyMm/openjph-0.28.1/src/core/openjph/ojph_params.h
- /build/openjph-z1hyMm/openjph-0.28.1/src/core/codestream/ojph_params.cpp